/*******************************************************************

This software module is provided in full accordance with SMPTE
Administrative Procedures.  
 
This software module was developed by ARM Ltd. under contract by 
Microsoft Corp, and provided by Microsoft Corp to SMPTE.  It was 
edited by:
             
< Placeholder for name/e-mail of other SMPTE members that contribute 
to this module in the future >
            
in the course of development of the SMPTE VC-1 test materials. This 
software module is an implementation of a part of one or more SMPTE 
VC-1 tools as specified by the SMPTE VC-1 standard. 
 
SMPTE gives users of the SMPTE VC-1 standard royalty-free copyright 
license to this software module or modifications thereof for use in 
hardware or software products claiming conformance to the SMPTE VC-1 
standard.  SMPTE does not give users a license under any patents 
relative to the SMPTE VC-1 standard or this software. 
 
Those intending to use this software module in hardware or software 
products are advised that its use may infringe existing patents. The 
companies that developed and provided the original software module, 
the subsequent editors and their companies, and SMPTE have no liability 
for use of this software module or modifications thereof in an 
implementation. 
 
Copyright is not released for non SMPTE VC-1 standard conforming 
products. 
 
The companies listed below retain full right to use their contributed 
code for their own purpose, assign or donate the code to a third party 
and to inhibit third parties from using the code for non SMPTE VC-1 
standard conforming products. 
 
Microsoft Corporation
< Placeholder for other companies whose employees contribute to this 
module in the future>

This copyright notice must be included in all copies or derivative 
works. 
 
Copyright (c) 2004
******************************************************************/

/*
 * decoder/vc1decpictab.c: SMPTE VC-1 decoder data tables
 *
 *  
 */

/* Include basic types */
#include "vc1types.h"
/* Include any other type definitions that might be needed */
#include "vc1dec.h"
#include "vc1decbit.h"
#include "vc1dec3dh.h"
/* Include the declarations for this file */
#include "vc1decpictab.h"


const vc1DEC_sVLCCode vc1DEC_FourMV_Pattern_0 [17] = /* Table 109 */
{
  {     0,    16,     6},{     2,     2,    15},{     0,     3,    11},
  {     1,     3,    13},{     2,     3,    14},{    15,     4,     7},
  {    12,     5,     4},{    13,     5,     8},{    14,     5,     0},
  {    15,     5,     6},{    24,     5,     9},{    25,     5,     3},
  {    26,     5,     5},{    27,     5,    10},{    28,     5,    12},
  {    58,     6,     1},{    59,     6,     2}
};

const vc1DEC_sVLCCode vc1DEC_FourMV_Pattern_1 [17] = /* Table 110 */
{
  {     0,    16,     5},{     0,     2,    15},{     4,     4,     3},
  {     5,     4,     5},{     6,     4,    10},{     7,     4,    12},
  {     8,     4,     0},{    11,     4,     7},{    12,     4,    11},
  {    13,     4,    13},{    14,     4,    14},{    18,     5,     1},
  {    19,     5,     2},{    20,     5,     4},{    21,     5,     8},
  {    30,     5,     6},{    31,     5,     9}
};

const vc1DEC_sVLCCode vc1DEC_FourMV_Pattern_2 [17] = /* Table 111 */
{
  {     0,    16,     5},{     0,     3,    15},{     2,     4,     3},
  {     3,     4,     5},{     4,     4,    10},{     5,     4,    12},
  {     6,     4,     1},{     7,     4,     2},{     8,     4,     4},
  {     9,     4,     7},{    10,     4,     8},{    11,     4,    11},
  {    12,     4,    13},{    13,     4,    14},{    15,     4,     0},
  {    28,     5,     6},{    29,     5,     9}
};

const vc1DEC_sVLCCode vc1DEC_FourMV_Pattern_3 [17] = /* Table 112 */
{
  {     0,    16,     5},{     0,     2,     0},{     4,     4,     3},
  {     5,     4,     5},{     6,     4,    10},{     7,     4,    12},
  {    10,     4,    15},{    11,     4,     1},{    12,     4,     2},
  {    13,     4,     4},{    14,     4,     8},{    16,     5,     7},
  {    17,     5,    11},{    18,     5,    13},{    19,     5,    14},
  {    30,     5,     6},{    31,     5,     9}
};

const vc1DEC_sVLCCode vc1DEC_Interlace_2_MVP_Pattern_0 [5] = /* Table 113 */
{
  {     0,     4,     2},{     0,     2,     2},{     1,     2,     1},
  {     2,     2,     0},{     3,     2,     3}
};

const vc1DEC_sVLCCode vc1DEC_Interlace_2_MVP_Pattern_1 [5] = /* Table 114 */
{
  {     0,     4,     3},{     1,     1,     0},{     0,     2,     1},
  {     2,     3,     2},{     3,     3,     3}
};

const vc1DEC_sVLCCode vc1DEC_Interlace_2_MVP_Pattern_2 [5] = /* Table 115 */
{
  {     0,     4,     3},{     1,     1,     3},{     0,     2,     1},
  {     2,     3,     0},{     3,     3,     2}
};

const vc1DEC_sVLCCode vc1DEC_Interlace_2_MVP_Pattern_3 [5] = /* Table 116 */
{
  {     0,     4,     3},{     1,     1,     0},{     0,     2,     3},
  {     2,     3,     2},{     3,     3,     1}
};

const vc1DEC_sVLCCode vc1DEC_Interlaced_CBPCY_0 [64] = /* Table 117 */
{
  {     0,    63,    15},{     1,     1,    63},{     0,     3,    61},
  {     1,     3,    62},{     3,     3,    60},{    43,     7,    31},
  {    44,     7,    47},{    45,     7,    55},{    46,     7,    59},
  {    64,     8,    29},{    65,     8,    30},{    66,     8,    45},
  {    67,     8,    46},{    68,     8,    53},{    69,     8,    54},
  {    70,     8,    57},{    71,     8,    58},{    74,     8,    12},
  {    78,     8,    28},{    80,     8,    44},{    81,     8,    48},
  {    83,     8,    52},{    84,     8,    56},{   144,     9,     4},
  {   145,     9,     8},{   146,     9,    16},{   147,     9,    32},
  {   150,     9,    13},{   151,     9,    14},{   152,     9,    20},
  {   158,     9,    40},{   164,     9,    49},{   165,     9,    50},
  {   189,     9,    15},{   190,     9,    51},{   306,    10,    21},
  {   307,    10,    22},{   308,    10,    24},{   310,    10,    36},
  {   318,    10,    41},{   319,    10,    42},{   377,    10,    23},
  {   383,    10,    43},{   618,    11,    25},{   619,    11,    26},
  {   622,    11,    37},{   623,    11,    38},{   680,    11,     5},
  {   681,    11,     6},{   682,    11,     9},{   683,    11,    10},
  {   684,    11,    17},{   685,    11,    18},{   686,    11,    33},
  {   687,    11,    34},{   764,    11,    27},{   765,    11,    39},
  {  1504,    12,    11},{  1505,    12,    19},{  1506,    12,    35},
  {  3015,    13,     7},{  6028,    14,     3},{ 12058,    15,     1},
  { 12059,    15,     2}
};

const vc1DEC_sVLCCode vc1DEC_Interlaced_CBPCY_1 [64] = /* Table 118 */
{
  {     0,    63,     9},{     3,     2,    63},{     0,     3,    62},
  {     5,     3,    60},{     9,     4,    61},{     9,     6,    32},
  {    12,     6,    28},{    13,     6,    44},{    14,     6,    52},
  {    15,     6,    56},{    16,     6,    12},{    20,     6,    48},
  {    25,     6,    31},{    27,     6,    47},{    29,     6,    55},
  {    31,     6,    59},{    16,     7,    17},{    17,     7,    18},
  {    20,     7,    33},{    21,     7,    34},{    34,     7,    13},
  {    35,     7,    14},{    36,     7,    15},{    37,     7,    20},
  {    38,     7,    40},{    39,     7,    49},{    42,     7,    50},
  {    43,     7,    51},{    48,     7,    29},{    49,     7,    30},
  {    52,     7,    45},{    53,     7,    46},{    56,     7,    53},
  {    57,     7,    54},{    60,     7,    57},{    61,     7,    58},
  {    65,     7,     1},{    66,     7,     2},{    67,     7,     4},
  {    69,     7,     8},{    71,     7,    16},{    44,     8,    35},
  {    88,     8,    21},{    89,     8,    22},{    90,     8,    23},
  {    91,     8,    24},{    92,     8,    36},{    93,     8,    41},
  {    94,     8,    42},{    95,     8,    43},{   136,     8,     5},
  {   137,     8,     6},{   140,     8,     9},{   141,     8,    10},
  {    90,     9,    25},{    91,     9,    26},{    92,     9,    27},
  {    93,     9,    37},{    94,     9,    38},{    95,     9,    39},
  {   256,     9,     3},{   257,     9,     7},{   258,     9,    11},
  {   259,     9,    19}
};

const vc1DEC_sVLCCode vc1DEC_Interlaced_CBPCY_2 [64] = /* Table 119 */
{
  {     0,    63,     9},{     0,     2,    63},{     2,     3,    60},
  {     6,     4,    62},{    14,     5,    12},{    15,     5,    48},
  {    26,     5,     3},{    31,     5,    61},{    32,     6,    40},
  {    33,     6,    28},{    34,     6,    44},{    35,     6,    52},
  {    36,     6,    56},{    38,     6,     4},{    39,     6,     8},
  {    40,     6,    16},{    41,     6,    32},{    43,     6,    31},
  {    45,     6,    47},{    47,     6,    55},{    48,     6,    59},
  {    50,     6,     1},{    51,     6,     2},{    74,     7,    36},
  {    75,     7,    29},{    84,     7,    30},{    85,     7,    45},
  {    88,     7,    46},{    89,     7,    53},{    92,     7,    54},
  {    93,     7,    57},{    98,     7,    58},{    99,     7,    13},
  {   108,     7,    14},{   112,     7,    49},{   113,     7,    50},
  {   119,     7,    15},{   120,     7,    51},{   123,     7,    20},
  {   218,     8,    21},{   219,     8,    22},{   222,     8,    41},
  {   223,     8,    42},{   228,     8,     5},{   229,     8,     6},
  {   230,     8,     9},{   231,     8,    10},{   232,     8,    17},
  {   233,     8,    18},{   234,     8,    33},{   235,     8,    34},
  {   236,     8,    23},{   242,     8,    43},{   245,     8,    24},
  {   440,     9,    25},{   441,     9,    26},{   442,     9,    37},
  {   443,     9,    38},{   474,     9,    27},{   475,     9,    39},
  {   486,     9,     7},{   487,     9,    11},{   488,     9,    19},
  {   489,     9,    35}
};

const vc1DEC_sVLCCode vc1DEC_Interlaced_CBPCY_3 [64] = /* Table 120 */
{
  {     0,    63,    10},{     6,     3,    60},{     0,     4,     4},
  {     1,     4,     8},{     2,     4,    16},{     3,     4,    32},
  {     5,     4,    12},{     6,     4,    48},{    14,     4,    63},
  {     9,     5,    40},{    15,     5,    28},{    16,     5,    44},
  {    17,     5,    52},{    18,     5,    56},{    22,     5,    61},
  {    23,     5,    62},{    16,     6,    24},{    17,     6,    36},
  {    40,     6,     1},{    41,     6,     2},{    63,     6,    20},
  {    56,     7,    47},{    57,     7,    55},{    58,     7,    59},
  {    59,     7,    15},{    77,     7,    51},{   153,     8,    23},
  {   156,     8,    43},{   157,     8,     3},{   158,     8,    29},
  {   159,     8,    30},{   168,     8,    45},{   169,     8,    46},
  {   170,     8,    53},{   171,     8,    54},{   172,     8,    57},
  {   173,     8,    58},{   240,     8,    13},{   241,     8,    14},
  {   242,     8,    49},{   243,     8,    50},{   251,     8,    31},
  {   304,     9,    27},{   305,     9,    39},{   348,     9,    21},
  {   349,     9,    22},{   350,     9,    41},{   351,     9,    42},
  {   490,     9,     5},{   491,     9,     6},{   492,     9,     7},
  {   493,     9,     9},{   494,     9,    10},{   495,     9,    11},
  {   496,     9,    17},{   497,     9,    18},{   498,     9,    19},
  {   499,     9,    33},{   500,     9,    34},{   501,     9,    35},
  {   976,    10,    25},{   977,    10,    26},{   978,    10,    37},
  {   979,    10,    38}
};

const vc1DEC_sVLCCode vc1DEC_Interlaced_CBPCY_4 [64] = /* Table 121 */
{
  {     0,    63,     8},{     4,     3,    63},{     7,     4,    60},
  {     7,     5,    12},{     8,     5,    48},{    10,     5,     4},
  {    11,     5,     8},{    12,     5,    16},{    13,     5,    32},
  {    20,     5,    61},{    21,     5,    62},{    31,     5,     3},
  {     0,     6,    58},{     3,     6,    13},{     4,     6,    14},
  {     8,     6,    49},{     9,     6,    50},{    11,     6,    15},
  {    12,     6,    51},{    18,     6,    20},{    19,     6,    40},
  {    44,     6,    28},{    45,     6,    44},{    46,     6,    52},
  {    47,     6,    56},{    53,     6,    31},{    56,     6,    47},
  {    58,     6,    55},{    59,     6,    59},{    60,     6,     1},
  {    61,     6,     2},{     2,     7,     7},{     3,     7,    11},
  {     4,     7,    19},{     5,     7,    35},{    10,     7,    21},
  {    11,     7,    22},{    14,     7,    41},{    15,     7,    42},
  {    20,     7,    23},{    21,     7,    43},{    27,     7,    24},
  {    96,     7,    36},{    97,     7,     5},{    98,     7,     6},
  {    99,     7,     9},{   100,     7,    10},{   101,     7,    17},
  {   102,     7,    18},{   103,     7,    29},{   104,     7,    30},
  {   105,     7,    33},{   108,     7,    34},{   109,     7,    45},
  {   110,     7,    46},{   111,     7,    53},{   114,     7,    54},
  {   115,     7,    57},{    24,     8,    25},{    25,     8,    26},
  {    26,     8,    37},{    27,     8,    38},{    52,     8,    27},
  {    53,     8,    39}
};

const vc1DEC_sVLCCode vc1DEC_Interlaced_CBPCY_5 [64] = /* Table 122 */
{
  {     0,    63,    10},{     0,     3,    60},{     2,     4,    63},
  {     3,     4,    12},{     5,     4,    48},{    10,     4,     4},
  {    11,     4,     8},{    12,     4,    16},{    13,     4,    32},
  {     8,     5,    20},{     9,     5,    40},{    14,     5,    28},
  {    15,     5,    44},{    16,     5,    52},{    17,     5,    56},
  {    24,     6,    24},{    25,     6,    36},{    56,     6,     1},
  {    57,     6,     2},{    62,     6,    61},{    63,     6,    62},
  {    52,     7,    59},{    54,     7,    15},{    55,     7,    51},
  {   106,     8,    23},{   144,     8,    43},{   145,     8,     5},
  {   146,     8,     6},{   147,     8,     7},{   148,     8,     9},
  {   149,     8,    10},{   150,     8,    11},{   151,     8,    17},
  {   152,     8,    18},{   153,     8,    19},{   154,     8,    33},
  {   155,     8,    34},{   156,     8,    35},{   157,     8,     3},
  {   158,     8,    29},{   159,     8,    30},{   232,     8,    45},
  {   233,     8,    46},{   234,     8,    53},{   235,     8,    54},
  {   236,     8,    57},{   237,     8,    58},{   238,     8,    13},
  {   239,     8,    14},{   240,     8,    49},{   241,     8,    50},
  {   245,     8,    31},{   246,     8,    47},{   247,     8,    55},
  {   214,     9,    27},{   215,     9,    39},{   484,     9,    21},
  {   485,     9,    22},{   488,     9,    41},{   489,     9,    42},
  {   972,    10,    25},{   973,    10,    26},{   974,    10,    37},
  {   975,    10,    38}
};

const vc1DEC_sVLCCode vc1DEC_Interlaced_CBPCY_6 [64] = /* Table 123 */
{
  {     0,    63,    11},{     0,     3,     4},{     1,     3,     8},
  {     2,     3,    16},{     3,     3,    32},{     9,     4,    12},
  {    10,     4,    48},{    17,     5,    20},{    22,     5,    40},
  {    24,     5,    28},{    25,     5,    44},{    26,     5,    52},
  {    27,     5,    56},{    29,     5,    60},{    33,     6,    24},
  {    46,     6,    36},{    60,     6,     1},{    61,     6,     2},
  {   128,     8,    35},{   189,     8,    61},{   190,     8,    62},
  {   191,     8,     5},{   224,     8,     6},{   225,     8,     9},
  {   226,     8,    10},{   227,     8,    17},{   228,     8,    18},
  {   229,     8,    33},{   230,     8,    34},{   258,     9,    45},
  {   259,     9,    46},{   260,     9,    47},{   261,     9,    53},
  {   262,     9,    54},{   263,     9,    55},{   376,     9,    57},
  {   377,     9,    58},{   462,     9,    59},{   463,     9,     3},
  {   496,     9,    63},{   497,     9,    13},{   498,     9,    14},
  {   499,     9,    15},{   500,     9,    49},{   501,     9,    50},
  {   502,     9,    51},{   508,     9,     7},{   509,     9,    11},
  {   510,     9,    19},{  1006,    10,    21},{  1007,    10,    22},
  {  1008,    10,    23},{  1012,    10,    41},{  1013,    10,    42},
  {  1014,    10,    43},{  1015,    10,    29},{  1022,    10,    30},
  {  1023,    10,    31},{  2018,    11,    25},{  2019,    11,    26},
  {  2020,    11,    27},{  2021,    11,    37},{  2022,    11,    38},
  {  2023,    11,    39}
};

const vc1DEC_sVLCCode vc1DEC_Interlaced_CBPCY_7 [64] = /* Table 124 */
{
  {     0,    63,    10},{     4,     3,     4},{     5,     3,     8},
  {     6,     3,    16},{     7,     3,    32},{     3,     4,    12},
  {     4,     4,    48},{     0,     5,    56},{     5,     5,    20},
  {    10,     5,    40},{     3,     6,     1},{     4,     6,     2},
  {     9,     6,    24},{    22,     6,    36},{    28,     6,    60},
  {    29,     6,    28},{    30,     6,    44},{    31,     6,    52},
  {    14,     7,     7},{    15,     7,    11},{    16,     7,    19},
  {    17,     7,    35},{    46,     7,     5},{    47,     7,     6},
  {    48,     7,     9},{    49,     7,    10},{    50,     7,    17},
  {    51,     7,    18},{    52,     7,    33},{    53,     7,    34},
  {    10,     8,    13},{    11,     8,    14},{    20,     8,    15},
  {    21,     8,    49},{    22,     8,    50},{    23,     8,    51},
  {    16,     9,    57},{    17,     9,    58},{    18,     9,    59},
  {    19,     9,    63},{    48,     9,    21},{    49,     9,    22},
  {    50,     9,    23},{    54,     9,    41},{    55,     9,    42},
  {   216,     9,    43},{   217,     9,    61},{   218,     9,    62},
  {   102,    10,    25},{   103,    10,    26},{   104,    10,    27},
  {   105,    10,    37},{   106,    10,    38},{   107,    10,    39},
  {   438,    10,     3},{   439,    10,    29},{   440,    10,    30},
  {   441,    10,    31},{   442,    10,    45},{   443,    10,    46},
  {   444,    10,    47},{   445,    10,    53},{   446,    10,    54},
  {   447,    10,    55}
};

const vc1DEC_sVLCCode vc1DEC_Two_Field_Ref_Ilace_MV_0 [127] = /* Table 125 */
{
  {     0,   126,    14},{     2,     2,     8},{     6,     4,    26},
  {    12,     4,     0},{    15,     4,    17},{     0,     5,     3},
  {     3,     5,    18},{     4,     5,    10},{     5,     5,    35},
  {     9,     5,    44},{    11,     5,     2},{    26,     5,     9},
  {    28,     5,     1},{     4,     6,    28},{    13,     6,    20},
  {    14,     6,     4},{    16,     6,    62},{    28,     6,    19},
  {    29,     6,    12},{    31,     6,    27},{    58,     6,    11},
  {     4,     7,    71},{     6,     7,    48},{     7,     7,    30},
  {    11,     7,    21},{    24,     7,    47},{    35,     7,    45},
  {    42,     7,     5},{    60,     7,    29},{   108,     7,    13},
  {   110,     7,    53},{    50,     8,    98},{    62,     8,    22},
  {    63,     8,    89},{    68,     8,    49},{    80,     8,     6},
  {    82,     8,    39},{    86,     8,    37},{   219,     8,    36},
  {   236,     8,    38},{   237,     8,    46},{   238,     8,    80},
  {   239,     8,    14},{    23,     9,    56},{    40,     9,    67},
  {    41,     9,   107},{    42,     9,   116},{    43,     9,    54},
  {   120,     9,    41},{   121,     9,    51},{   123,     9,    66},
  {   139,     9,    32},{   166,     9,    65},{   167,     9,    23},
  {   245,     9,    50},{   247,     9,    64},{   437,     9,    63},
  {   444,     9,    15},{   445,     9,    40},{   446,     9,    31},
  {    40,    10,    60},{    41,    10,    73},{    43,    10,    82},
  {    44,    10,    33},{   206,    10,    59},{   207,    10,    42},
  {   245,    10,    72},{   324,    10,    58},{   326,    10,    24},
  {   349,    10,    55},{   351,    10,    16},{   489,    10,    69},
  {   493,    10,    68},{   872,    10,     7},{   895,    10,    57},
  {    84,    11,   100},{   408,    11,    85},{   409,    11,    25},
  {   411,    11,   110},{   489,    11,    86},{   553,    11,    92},
  {   555,    11,    91},{   650,    11,    74},{   651,    11,    75},
  {   655,    11,    76},{   701,    11,    81},{   977,    11,    84},
  {   984,    11,    83},{  1746,    11,    52},{  1747,    11,   101},
  {  1789,    11,    70},{   171,    12,    61},{   180,    12,    88},
  {   181,    12,   114},{   183,    12,   106},{   820,    12,   104},
  {   821,    12,    78},{   976,    12,    99},{   977,    12,   120},
  {  1105,    12,    93},{  1108,    12,   103},{  1109,    12,    90},
  {  1309,    12,    87},{  1392,    12,    96},{  1393,    12,   102},
  {  1395,    12,    43},{  1400,    12,    94},{  1401,    12,   112},
  {  1952,    12,   119},{  1970,    12,    95},{  1971,    12,    34},
  {  3577,    12,    77},{   340,    13,   122},{   341,    13,    97},
  {   364,    13,   109},{   365,    13,   117},{  2208,    13,   118},
  {  2209,    13,   115},{  2616,    13,   125},{  2617,    13,   124},
  {  2788,    13,   123},{  2789,    13,   121},{  3907,    13,   113},
  {  7152,    13,   111},{  7153,    13,   105},{  7812,    14,   108},
  {  7813,    14,    79}
};

const vc1DEC_sVLCCode vc1DEC_Two_Field_Ref_Ilace_MV_1 [127] = /* Table 126 */
{
  {     0,   126,    14},{     0,     2,     8},{     3,     3,     0},
  {     8,     4,    26},{     9,     4,     1},{    15,     4,    17},
  {     9,     5,    10},{    10,     5,    19},{    20,     5,    35},
  {    22,     5,     2},{    24,     5,    18},{    29,     5,     9},
  {    16,     6,     3},{    23,     6,    11},{    46,     6,    20},
  {    50,     6,    44},{    52,     6,    27},{    34,     7,    21},
  {    35,     7,    29},{    44,     7,    12},{    84,     7,    62},
  {   106,     7,    36},{   108,     7,    38},{   109,     7,    28},
  {   111,     7,    53},{   114,     7,    37},{    91,     8,    71},
  {   171,     8,    48},{   172,     8,    57},{   173,     8,    13},
  {   175,     8,    55},{   191,     8,    56},{   207,     8,    47},
  {   215,     8,     4},{   224,     8,    46},{   227,     8,    39},
  {   230,     8,    45},{   181,     9,    63},{   376,     9,    67},
  {   378,     9,    64},{   380,     9,    22},{   381,     9,    58},
  {   409,     9,    66},{   411,     9,    40},{   412,     9,    49},
  {   429,     9,    65},{   441,     9,    80},{   450,     9,    30},
  {   451,     9,    54},{   680,    10,    72},{   683,    10,    50},
  {   697,    10,    85},{   754,    10,    83},{   758,    10,   107},
  {   817,    10,    73},{   820,    10,   116},{   821,    10,     5},
  {   827,    10,    84},{   856,    10,    68},{   880,    10,    76},
  {   884,    10,    14},{   886,    10,    31},{   887,    10,    98},
  {   904,    10,    74},{   907,    10,    75},{   925,    10,    89},
  {   722,    11,    69},{   723,    11,    32},{  1363,    11,   125},
  {  1364,    11,    95},{  1365,    11,     7},{  1392,    11,    87},
  {  1393,    11,   124},{  1396,    11,     6},{  1397,    11,   114},
  {  1399,    11,    16},{  1510,    11,   112},{  1518,    11,    93},
  {  1519,    11,    81},{  1632,    11,   102},{  1652,    11,   103},
  {  1653,    11,   123},{  1715,    11,    15},{  1763,    11,    59},
  {  1770,    11,   104},{  1771,    11,    86},{  1811,    11,    77},
  {  1848,    11,    82},{  1849,    11,    94},{  1855,    11,    41},
  {  1441,    12,   110},{  1442,    12,    90},{  1443,    12,    91},
  {  2724,    12,    97},{  2725,    12,    96},{  3022,    12,   100},
  {  3023,    12,   120},{  3267,    12,    78},{  3428,    12,   115},
  {  3429,    12,   106},{  3525,    12,   121},{  3620,    12,    88},
  {  3624,    12,   113},{  3625,    12,    60},{  3626,    12,   122},
  {  3627,    12,    51},{  3705,    12,   101},{  3707,    12,    23},
  {  3708,    12,   105},{  3709,    12,    92},{  2880,    13,   119},
  {  2881,    13,    43},{  5592,    13,    25},{  5593,    13,    52},
  {  5594,    13,   108},{  5595,    13,   118},{  6532,    13,    61},
  {  7048,    13,   109},{  7049,    13,    24},{  7242,    13,    33},
  {  7243,    13,    70},{  7408,    13,    42},{  7409,    13,    79},
  {  7412,    13,   111},{  7413,    13,    99},{ 13066,    14,    34},
  { 13067,    14,   117}
};

const vc1DEC_sVLCCode vc1DEC_Two_Field_Ref_Ilace_MV_2 [127] = /* Table 127 */
{
  {     0,   126,    13},{     3,     2,     8},{     2,     4,     1},
  {     4,     4,     0},{    11,     4,    17},{     1,     5,    44},
  {     2,     5,     9},{     3,     5,     3},{    14,     5,    35},
  {    16,     5,     2},{    21,     5,    26},{    14,     6,    62},
  {    20,     6,    20},{    21,     6,    12},{    23,     6,     4},
  {    30,     6,    11},{    36,     6,    19},{    37,     6,    53},
  {    38,     6,    18},{    40,     6,    10},{     1,     7,    29},
  {     2,     7,    14},{     3,     7,    36},{    26,     7,    39},
  {    44,     7,    80},{    45,     7,    28},{    50,     7,    21},
  {    51,     7,    38},{    52,     7,    37},{    54,     7,    71},
  {    63,     7,    27},{    69,     7,     5},{    71,     7,    13},
  {     0,     8,   107},{    49,     8,    49},{    50,     8,    55},
  {    54,     8,    57},{    60,     8,    45},{    62,     8,     6},
  {   107,     8,    98},{   111,     8,    22},{   125,     8,    46},
  {   136,     8,    58},{   137,     8,    56},{   141,     8,    47},
  {   156,     8,    89},{   157,     8,    48},{     3,     9,    60},
  {    96,     9,    16},{    97,     9,    65},{   103,     9,    68},
  {   110,     9,    50},{   111,     9,    59},{   126,     9,     7},
  {   192,     9,    86},{   194,     9,    75},{   195,     9,    23},
  {   197,     9,    41},{   198,     9,    74},{   221,     9,    31},
  {   281,     9,    77},{   318,     9,    30},{   328,     9,   116},
  {   329,     9,    54},{   330,     9,    40},{   333,     9,    15},
  {   334,     9,    66},{   335,     9,    67},{     4,    10,    84},
  {     5,    10,    97},{   205,    10,    52},{   244,    10,    42},
  {   245,    10,    73},{   246,    10,    32},{   247,    10,    93},
  {   254,    10,   123},{   255,    10,    69},{   387,    10,    70},
  {   393,    10,    96},{   399,    10,    81},{   425,    10,   125},
  {   426,    10,    63},{   440,    10,    85},{   496,    10,   115},
  {   498,    10,   105},{   499,    10,   124},{   561,    10,    78},
  {   634,    10,    87},{   638,    10,    64},{   662,    10,    51},
  {   663,    10,    83},{   665,    10,    76},{   409,    11,    91},
  {   772,    11,   112},{   773,    11,    33},{   785,    11,    88},
  {   796,    11,    92},{   797,    11,    61},{   848,    11,    79},
  {   849,    11,   103},{   854,    11,    95},{   855,    11,    72},
  {   883,    11,   106},{   994,    11,   111},{   995,    11,    94},
  {  1264,    11,   102},{  1265,    11,   114},{  1266,    11,   104},
  {  1267,    11,   121},{  1271,    11,   113},{  1278,    11,   122},
  {  1279,    11,   101},{  1328,    11,    82},{  1329,    11,    24},
  {   816,    12,   100},{   817,    12,    34},{  1569,    12,    90},
  {  1764,    12,    43},{  1765,    12,    25},{  2240,    12,   119},
  {  2241,    12,   120},{  2242,    12,    99},{  2243,    12,   109},
  {  2540,    12,   110},{  2541,    12,   118},{  3136,    13,   117},
  {  3137,    13,   108}
};

const vc1DEC_sVLCCode vc1DEC_Two_Field_Ref_Ilace_MV_3 [127] = /* Table 128 */
{
  {     0,   126,    15},{     3,     2,     8},{     0,     3,     0},
  {     3,     3,    17},{     4,     4,     1},{     9,     4,    26},
  {     5,     5,    19},{     7,     5,    10},{    11,     5,    35},
  {    17,     5,    18},{    22,     5,     9},{    13,     6,    11},
  {    20,     6,    28},{    42,     6,    27},{    43,     6,    44},
  {    47,     6,     2},{    16,     7,     4},{    19,     7,    36},
  {    24,     7,    62},{    42,     7,    29},{    65,     7,    37},
  {    67,     7,    20},{    81,     7,    53},{    82,     7,     3},
  {    35,     8,    21},{    51,     8,    71},{   133,     8,    45},
  {   160,     8,    47},{   167,     8,    46},{   184,     8,    38},
  {   187,     8,    12},{    68,     9,    58},{    69,     9,    57},
  {    73,     9,    98},{    75,     9,    22},{   172,     9,    55},
  {   173,     9,     5},{   175,     9,    89},{   256,     9,    40},
  {   258,     9,    56},{   264,     9,    30},{   332,     9,    48},
  {   371,     9,    13},{   372,     9,    39},{   373,     9,    80},
  {   148,    10,    67},{   201,    10,    14},{   348,    10,   116},
  {   515,    10,    66},{   519,    10,   107},{   530,    10,    64},
  {   644,    10,    54},{   666,    10,    49},{   740,    10,    65},
  {   290,    11,    68},{   298,    11,    83},{   400,    11,     7},
  {   401,    11,    86},{   404,    11,   112},{   698,    11,    72},
  {   699,    11,    85},{  1029,    11,    81},{  1036,    11,    76},
  {  1291,    11,     6},{  1292,    11,    63},{  1295,    11,    15},
  {  1482,    11,    31},{   576,    12,   117},{   578,    12,    74},
  {   579,    12,    94},{   582,    12,    73},{   583,    12,    82},
  {   599,    12,   105},{   811,    12,    93},{   812,    12,    50},
  {   814,    12,    23},{  2056,    12,    77},{  2074,    12,    69},
  {  2075,    12,    59},{  2126,    12,   103},{  2127,    12,    87},
  {  2580,    12,    84},{  2668,    12,    99},{  2670,    12,    75},
  {  2967,    12,    90},{  1154,    13,    25},{  1155,    13,    91},
  {  1197,    13,   101},{  1620,    13,   113},{  1621,    13,    70},
  {  1626,    13,    32},{  1630,    13,    60},{  1631,    13,   123},
  {  4114,    13,   118},{  4248,    13,   121},{  5162,    13,    52},
  {  5163,    13,    95},{  5172,    13,   104},{  5173,    13,   108},
  {  5174,    13,   122},{  5175,    13,    43},{  5176,    13,    88},
  {  5177,    13,   109},{  5178,    13,   111},{  5179,    13,    92},
  {  5338,    13,    41},{  5339,    13,   100},{  5342,    13,   102},
  {  5932,    13,    16},{  2392,    14,    96},{  2393,    14,   120},
  {  3254,    14,   110},{  3255,    14,    61},{  8230,    14,   124},
  {  8498,    14,    34},{  8499,    14,    51},{  8500,    14,    78},
  {  8501,    14,   114},{  8502,    14,    33},{  8503,    14,   125},
  { 10687,    14,    97},{ 11866,    14,   106},{ 11867,    14,    24},
  { 16462,    15,    42},{ 16463,    15,    79},{ 21372,    15,   115},
  { 21373,    15,   119}
};

const vc1DEC_sVLCCode vc1DEC_Two_Field_Ref_Ilace_MV_4 [127] = /* Table 129 */
{
  {     0,   126,    15},{     0,     2,     8},{     5,     4,     0},
  {     6,     4,    26},{    13,     4,    17},{    15,     5,    35},
  {    17,     5,     3},{    22,     5,     2},{    25,     5,     1},
  {    16,     6,    53},{    18,     6,    13},{    32,     6,    21},
  {    37,     6,    20},{    38,     6,    11},{    40,     6,    12},
  {    42,     6,    19},{    43,     6,    10},{    49,     6,    18},
  {    57,     6,     9},{    62,     6,     4},{    63,     6,    44},
  {    34,     7,    57},{    38,     7,    36},{    39,     7,    40},
  {    57,     7,    31},{    58,     7,    47},{    72,     7,    30},
  {    78,     7,    49},{    79,     7,    29},{    82,     7,    48},
  {    92,     7,    22},{    94,     7,     5},{    95,     7,    37},
  {    96,     7,    28},{   112,     7,    39},{   117,     7,    38},
  {   121,     7,    62},{   122,     7,    27},{   113,     8,    80},
  {   133,     8,    71},{   135,     8,    65},{   146,     8,    58},
  {   166,     8,    45},{   167,     8,    55},{   186,     8,    67},
  {   194,     8,    14},{   226,     8,     7},{   227,     8,    50},
  {   232,     8,    66},{   239,     8,     6},{   240,     8,    46},
  {   247,     8,    56},{   141,     9,    85},{   143,     9,    63},
  {   237,     9,    15},{   238,     9,    69},{   264,     9,    74},
  {   268,     9,    76},{   295,     9,    84},{   374,     9,    68},
  {   390,     9,    32},{   466,     9,    75},{   473,     9,    51},
  {   474,     9,    64},{   475,     9,    41},{   477,     9,    54},
  {   493,     9,    23},{   280,    10,   104},{   281,    10,    72},
  {   284,    10,   116},{   285,    10,    16},{   449,    10,    82},
  {   450,    10,   103},{   472,    10,    94},{   479,    10,    88},
  {   531,    10,    33},{   539,    10,    86},{   589,    10,    24},
  {   751,    10,    60},{   782,    10,    73},{   783,    10,    52},
  {   935,    10,    83},{   944,    10,    70},{   964,    10,    59},
  {   965,    10,    98},{   966,    10,    42},{   984,    10,    89},
  {   896,    11,   123},{   897,    11,   106},{   902,    11,   125},
  {   903,    11,   107},{   947,    11,    92},{   956,    11,   105},
  {   957,    11,   122},{  1060,    11,    78},{  1076,    11,    79},
  {  1077,    11,   101},{  1176,    11,   124},{  1177,    11,    97},
  {  1500,    11,    95},{  1501,    11,    81},{  1869,    11,    93},
  {  1890,    11,    61},{  1904,    11,    25},{  1905,    11,   102},
  {  1907,    11,    77},{  1935,    11,    43},{  1970,    11,    87},
  {  1892,    12,    90},{  1893,    12,   100},{  2122,    12,    96},
  {  3736,    12,   120},{  3737,    12,   112},{  3782,    12,    34},
  {  3812,    12,    91},{  3813,    12,   115},{  3868,    12,   113},
  {  3869,    12,   114},{  3943,    12,   121},{  4246,    13,   110},
  {  4247,    13,   109},{  7566,    13,    99},{  7567,    13,   119},
  {  7885,    13,   111},{ 15768,    14,   118},{ 31538,    15,   117},
  { 31539,    15,   108}
};

const vc1DEC_sVLCCode vc1DEC_Two_Field_Ref_Ilace_MV_5 [127] = /* Table 130 */
{
  {     0,   126,    13},{     1,     2,     8},{     2,     4,     9},
  {     9,     4,    17},{    13,     4,     0},{     0,     5,    10},
  {     2,     5,    62},{     7,     5,    35},{    16,     5,     1},
  {    21,     5,    44},{    31,     5,    26},{    13,     6,     4},
  {    34,     6,    71},{    40,     6,    80},{    41,     6,    12},
  {    46,     6,     2},{    47,     6,    27},{    48,     6,    11},
  {    51,     6,    18},{    57,     6,     3},{    61,     6,    53},
  {     6,     7,    20},{    12,     7,    98},{    14,     7,    89},
  {    15,     7,    36},{    24,     7,    29},{    71,     7,    45},
  {   100,     7,    28},{   112,     7,    13},{   116,     7,     5},
  {   120,     7,    19},{     8,     8,    54},{     9,     8,    49},
  {    10,     8,    31},{    11,     8,    22},{    14,     8,    57},
  {    15,     8,    63},{    50,     8,    56},{   140,     8,    15},
  {   141,     8,    65},{   178,     8,    39},{   180,     8,    66},
  {   182,     8,     7},{   196,     8,    21},{   198,     8,    30},
  {   202,     8,    38},{   226,     8,    47},{   227,     8,    37},
  {   234,     8,    48},{   237,     8,     6},{   238,     8,    46},
  {   243,     8,    14},{    52,     9,    74},{    53,     9,    83},
  {    55,     9,    75},{   103,     9,    68},{   354,     9,    32},
  {   355,     9,    23},{   358,     9,    16},{   362,     9,    50},
  {   363,     9,    84},{   366,     9,    58},{   398,     9,   116},
  {   399,     9,    40},{   407,     9,   107},{   472,     9,    64},
  {   473,     9,    55},{   484,     9,    67},{   108,    10,    77},
  {   204,    10,    24},{   704,    10,    33},{   705,    10,    86},
  {   707,    10,    51},{   734,    10,    76},{   789,    10,    73},
  {   791,    10,    69},{   812,    10,    59},{   940,    10,    82},
  {   942,    10,    41},{   957,    10,    85},{   958,    10,    72},
  {   971,    10,    81},{   218,    11,    92},{  1412,    11,    94},
  {  1436,    11,   100},{  1437,    11,    52},{  1438,    11,    90},
  {  1470,    11,    25},{  1471,    11,    91},{  1577,    11,    93},
  {  1580,    11,    87},{  1581,    11,   104},{  1627,    11,    60},
  {  1882,    11,   103},{  1886,    11,   102},{  1887,    11,    42},
  {  1912,    11,   101},{  1918,    11,    99},{  1940,    11,    70},
  {   438,    12,   117},{   439,    12,   125},{   820,    12,   106},
  {   821,    12,   124},{   823,    12,   105},{  2826,    12,    96},
  {  2827,    12,   115},{  2878,    12,   120},{  2879,    12,   113},
  {  3152,    12,   112},{  3153,    12,    43},{  3252,    12,   119},
  {  3766,    12,   121},{  3767,    12,    95},{  3827,    12,    34},
  {  3838,    12,    78},{  1644,    13,    79},{  1645,    13,    97},
  {  6506,    13,   110},{  6507,    13,    61},{  7652,    13,   109},
  {  7653,    13,   122},{  7678,    13,    88},{  7679,    13,   123},
  {  7764,    13,   114},{  7765,    13,   118},{  7766,    13,   111},
  {  7767,    13,   108}
};

const vc1DEC_sVLCCode vc1DEC_Two_Field_Ref_Ilace_MV_6 [127] = /* Table 131 */
{
  {     0,   126,    21},{     1,     1,     8},{     1,     3,     0},
  {     0,     4,    26},{     4,     4,    17},{    11,     5,     1},
  {    14,     5,     9},{     4,     6,    27},{     6,     6,    18},
  {    20,     6,    44},{    24,     6,    35},{    25,     6,     2},
  {    26,     6,    10},{    54,     7,    19},{    62,     7,    11},
  {    20,     8,    47},{    23,     8,    37},{    28,     8,    12},
  {    30,     8,    38},{   111,     8,     3},{   120,     8,    53},
  {   122,     8,    62},{   123,     8,    28},{   127,     8,    20},
  {    42,     9,     4},{    45,     9,    13},{    59,     9,    30},
  {    62,     9,    36},{   168,     9,    48},{   170,     9,    46},
  {   171,     9,    71},{   173,     9,    45},{   174,     9,    21},
  {   175,     9,    39},{   243,     9,    29},{   252,     9,    80},
  {   117,    10,     5},{   338,    10,    55},{   339,    10,    49},
  {   345,    10,    73},{   440,    10,    54},{   442,    10,    98},
  {   484,    10,    82},{   485,    10,    64},{   175,    11,    83},
  {   232,    11,    50},{   233,    11,    65},{   252,    11,    66},
  {   254,    11,    56},{   688,    11,    63},{   689,    11,    57},
  {   886,    11,   116},{  1012,    11,    74},{  1015,    11,    89},
  {   344,    12,    22},{   346,    12,    84},{   348,    12,    23},
  {   349,    12,    58},{   352,    12,    59},{   355,    12,     7},
  {   356,    12,    14},{   357,    12,    16},{   359,    12,    85},
  {   506,    12,    77},{   510,    12,    51},{   511,    12,    81},
  {  1766,    12,    67},{  2027,    12,     6},{  2028,    12,    15},
  {  2029,    12,    31},{   690,    13,   102},{   691,    13,    32},
  {   716,    13,    33},{   717,    13,    42},{  1014,    13,   105},
  {  1015,    13,    40},{  3528,    13,    68},{  3529,    13,    75},
  {  3530,    13,    76},{  3531,    13,    86},{  3534,    13,   104},
  {  3535,    13,    52},{  3548,    13,    92},{  3549,    13,   121},
  {  3550,    13,    72},{  3551,    13,   101},{  4052,    13,   107},
  {  1388,    14,   113},{  1389,    14,    24},{  1390,    14,    34},
  {  1391,    14,    41},{  1412,    14,    69},{  1413,    14,    87},
  {  1414,    14,    93},{  1415,    14,    99},{  1416,    14,   100},
  {  1417,    14,   117},{  1418,    14,   118},{  1419,    14,   124},
  { 16213,    15,    90},{ 16214,    15,    94},{ 16215,    15,    96},
  { 32425,    16,   125},{518784,    20,   111},{518785,    20,   112},
  {518786,    20,   114},{518787,    20,   115},{518788,    20,   119},
  {518789,    20,   120},{518790,    20,   122},{518791,    20,   123},
  {1037584,    21,    25},{1037585,    21,    43},
  {1037586,    21,    60},{1037587,    21,    61},
  {1037588,    21,    70},{1037589,    21,    78},
  {1037590,    21,    79},{1037591,    21,    88},
  {1037592,    21,    91},{1037593,    21,    95},
  {1037594,    21,    97},{1037595,    21,   103},
  {1037596,    21,   106},{1037597,    21,   108},
  {1037598,    21,   109},{1037599,    21,   110}
};

const vc1DEC_sVLCCode vc1DEC_Two_Field_Ref_Ilace_MV_7 [127] = /* Table 132 */
{
  {     0,   126,    20},{     2,     2,     8},{     3,     2,     0},
  {     2,     3,    17},{     1,     4,    26},{     2,     4,     9},
  {     0,     5,    10},{    13,     5,    18},{    14,     5,     1},
  {    15,     6,     2},{    24,     6,    11},{    30,     6,    27},
  {    27,     7,    19},{    29,     7,    35},{    62,     7,    44},
  {    10,     8,    29},{    11,     8,    53},{    12,     8,    12},
  {    13,     8,    37},{    15,     8,    20},{    48,     8,    36},
  {    50,     8,    62},{    51,     8,    47},{    53,     8,    46},
  {    57,     8,    45},{   126,     8,     3},{   127,     8,    28},
  {    18,     9,    63},{    19,     9,    64},{    98,     9,     4},
  {   105,     9,    13},{   113,     9,    65},{   203,     9,    38},
  {    32,    10,    67},{    34,    10,    56},{    56,    10,    57},
  {    57,    10,    14},{    58,    10,    89},{   198,    10,     5},
  {   208,    10,    54},{   225,    10,    30},{   409,    10,    39},
  {   410,    10,    21},{   413,    10,    66},{   414,    10,    55},
  {   415,    10,    48},{    67,    11,    91},{   118,    11,   119},
  {   119,    11,    83},{   398,    11,    58},{   418,    11,    73},
  {   448,    11,    49},{   800,    11,    40},{   802,    11,    75},
  {   805,    11,    80},{   806,    11,   101},{   807,    11,    92},
  {   808,    11,   107},{   810,    11,    74},{   811,    11,    82},
  {   817,    11,   116},{   823,    11,    98},{   824,    11,    71},
  {   132,    12,    77},{   133,    12,   100},{   140,    12,    93},
  {   141,    12,    94},{   142,    12,    41},{   798,    12,    59},
  {   839,    12,   102},{   898,    12,   121},{  1602,    12,    85},
  {  1607,    12,    22},{  1608,    12,    84},{  1609,    12,    81},
  {  1619,    12,    72},{  1633,    12,    31},{   287,    13,    78},
  {  1598,    13,     7},{  1676,    13,   111},{  1798,    13,   117},
  {  1799,    13,    15},{  3206,    13,    86},{  3207,    13,    68},
  {  3212,    13,    87},{  3213,    13,    95},{  3236,    13,   103},
  {  3264,    13,    69},{  3265,    13,   120},{  3288,    13,   110},
  {  3289,    13,     6},{  3290,    13,    50},{  3300,    13,    32},
  {  3301,    13,    99},{  3302,    13,   122},{  3303,    13,    76},
  {   572,    14,    61},{   573,    14,   118},{  3198,    14,    16},
  {  3199,    14,   104},{  3354,    14,   105},{  6583,    14,    90},
  {  6711,    15,    23},{ 12948,    15,    60},{ 12949,    15,   112},
  { 12950,    15,   113},{ 13421,    16,    25},{ 25902,    16,    42},
  { 25903,    16,   114},{ 26328,    16,   115},{ 26329,    16,   123},
  { 26330,    16,   124},{ 26331,    16,   125},{107360,    19,   108},
  {107361,    19,   109},{214724,    20,    24},{214725,    20,    33},
  {214726,    20,    34},{214727,    20,    43},{214728,    20,    51},
  {214729,    20,    52},{214730,    20,    70},{214731,    20,    79},
  {214732,    20,    88},{214733,    20,    96},{214734,    20,    97},
  {214735,    20,   106}
};

const vc1DEC_sVLCCode vc1DEC_One_Field_Ref_Ilace_MV_0 [73] = /* Table 133 */
{
  {     0,    72,    17},{     0,     2,     8},{     5,     3,     0},
  {     5,     4,    17},{     8,     4,     9},{    12,     4,     1},
  {     8,     5,    11},{    12,     5,     4},{    18,     5,     3},
  {    27,     5,    10},{    30,     5,     2},{    18,     6,    21},
  {    27,     6,    18},{    29,     6,    12},{    30,     6,    20},
  {    38,     6,    19},{    39,     6,    35},{    52,     6,     5},
  {    57,     6,    26},{    39,     7,    28},{    53,     7,    31},
  {    62,     7,    44},{   106,     7,    29},{   112,     7,     7},
  {   113,     7,    30},{   117,     7,     6},{   118,     7,    22},
  {   124,     7,    13},{    76,     8,    47},{    77,     8,    23},
  {   104,     8,    33},{   105,     8,    48},{   112,     8,    52},
  {   113,     8,    32},{   115,     8,    36},{   126,     8,    40},
  {   127,     8,    27},{   214,     8,    14},{   232,     8,    38},
  {   233,     8,    39},{   255,     8,    37},{   430,     9,    60},
  {   431,     9,    16},{   476,     9,    34},{   477,     9,    53},
  {   478,     9,    15},{   479,     9,    50},{   500,     9,    25},
  {   501,     9,    42},{   502,     9,    24},{   503,     9,    51},
  {   504,     9,    61},{   505,     9,    41},{   506,     9,    49},
  {   507,     9,    62},{   509,     9,    43},{   456,    10,    57},
  {   458,    10,    45},{   459,    10,    58},{  1016,    10,    59},
  {  1017,    10,    46},{   914,    11,    56},{  1831,    12,    55},
  {  3661,    13,    54},{ 29280,    16,    65},{ 29281,    16,    66},
  { 29282,    16,    67},{ 29283,    16,    68},{ 29284,    16,    69},
  { 29285,    16,    70},{ 29286,    16,    71},{ 58574,    17,    63},
  { 58575,    17,    64}
};

const vc1DEC_sVLCCode vc1DEC_One_Field_Ref_Ilace_MV_1 [73] = /* Table 134 */
{
  {     0,    72,    20},{     1,     3,     1},{     6,     3,     8},
  {     7,     3,     0},{     4,     4,     9},{     6,     4,    26},
  {     7,     4,     2},{     9,     4,    17},{     0,     5,    20},
  {     1,     5,     4},{    10,     5,    35},{    16,     5,    11},
  {    22,     5,     3},{    23,     5,    10},{     4,     6,    22},
  {    23,     6,    19},{    40,     6,    18},{    41,     6,    12},
  {    42,     6,    21},{    14,     7,    30},{    15,     7,    28},
  {    44,     7,    13},{    68,     7,    27},{    69,     7,     5},
  {    70,     7,    29},{    87,     7,    44},{    20,     8,    39},
  {    22,     8,    38},{    24,     8,     6},{    26,     8,    36},
  {    91,     8,    23},{   142,     8,    53},{   172,     8,    31},
  {    43,     9,    40},{    46,     9,    47},{    47,     9,    45},
  {    50,     9,    32},{    54,     9,    46},{    55,     9,    33},
  {   181,     9,    24},{   287,     9,    37},{   346,     9,    14},
  {    84,    10,    49},{    85,    10,    42},{   102,    10,    15},
  {   360,    10,    41},{   361,    10,    48},{   694,    10,     7},
  {   206,    11,    25},{  1144,    11,    59},{  1145,    11,    55},
  {  1147,    11,    50},{  1390,    11,    56},{   414,    12,    16},
  {   415,    12,    51},{  2292,    12,    57},{  2782,    12,    54},
  {  4587,    13,    34},{  5567,    13,    58},{  9172,    14,    60},
  {  9173,    14,    43},{ 11133,    14,    52},{ 22265,    15,    62},
  { 44529,    16,    61},{356224,    19,    65},{356225,    19,    66},
  {356226,    19,    67},{356227,    19,    68},{356228,    19,    69},
  {356229,    19,    70},{356230,    19,    71},{712462,    20,    63},
  {712463,    20,    64}
};

const vc1DEC_sVLCCode vc1DEC_One_Field_Ref_Ilace_MV_2 [73] = /* Table 135 */
{
  {     0,    72,    19},{     2,     2,     8},{     2,     3,     0},
  {     0,     4,     9},{     6,     4,     1},{     7,     4,     2},
  {    13,     4,     3},{    14,     4,    17},{     2,     5,    26},
  {     5,     5,    10},{     7,     5,     4},{    25,     5,    11},
  {    30,     5,    12},{     6,     6,    20},{     7,     6,    13},
  {     9,     6,    21},{    48,     6,     5},{    24,     7,    22},
  {    26,     7,    19},{    27,     7,    18},{    99,     7,    14},
  {   125,     7,    35},{    34,     8,    29},{    35,     8,    16},
  {    51,     8,    24},{   197,     8,    23},{   252,     8,    44},
  {   253,     8,    15},{   255,     8,     6},{    64,     9,    36},
  {    66,     9,    31},{    67,     9,    37},{   101,     9,    53},
  {   496,     9,     7},{   497,     9,    25},{   499,     9,    28},
  {   508,     9,    30},{   131,    10,    33},{   201,    10,    55},
  {   996,    10,    38},{   997,    10,    39},{  1019,    10,    27},
  {   261,    11,    42},{   400,    11,    47},{   401,    11,    40},
  {  1568,    11,    34},{  1570,    11,    46},{  1571,    11,    32},
  {  1572,    11,    45},{  1574,    11,    48},{  1575,    11,    56},
  {  2037,    11,    49},{   520,    12,    43},{  3138,    12,    54},
  {  3139,    12,    57},{  3146,    12,    58},{  3147,    12,    50},
  {  4073,    12,    41},{  1042,    13,    62},{  8144,    13,    51},
  {  8145,    13,    60},{  4173,    15,    52},{  4174,    15,    59},
  {  4175,    15,    61},{ 33376,    18,    65},{ 33377,    18,    66},
  { 33378,    18,    67},{ 33379,    18,    68},{ 33380,    18,    69},
  { 33381,    18,    70},{ 33382,    18,    71},{ 66766,    19,    63},
  { 66767,    19,    64}
};

const vc1DEC_sVLCCode vc1DEC_One_Field_Ref_Ilace_MV_3 [73] = /* Table 136 */
{
  {     0,    72,    14},{     3,     3,     8},{     0,     4,     3},
  {     1,     4,     1},{     3,     4,    26},{     4,     4,     2},
  {    10,     4,    17},{    13,     4,     0},{     5,     5,     5},
  {    17,     5,     9},{    23,     5,     4},{    28,     5,    35},
  {     8,     6,    39},{     9,     6,    38},{    21,     6,    21},
  {    23,     6,    12},{    32,     6,    28},{    33,     6,    30},
  {    44,     6,    18},{    45,     6,    29},{    49,     6,    44},
  {    50,     6,    19},{    59,     6,    11},{    61,     6,    20},
  {    62,     6,    10},{    40,     7,    22},{    41,     7,    31},
  {    45,     7,    40},{    74,     7,    14},{    76,     7,    36},
  {    77,     7,     7},{    78,     7,    53},{    96,     7,    37},
  {   103,     7,    13},{   117,     7,    27},{   127,     7,     6},
  {    88,     8,    46},{   144,     8,    32},{   145,     8,    54},
  {   146,     8,    47},{   147,     8,    23},{   150,     8,    25},
  {   151,     8,    59},{   159,     8,    41},{   195,     8,    15},
  {   204,     8,    24},{   205,     8,    50},{   233,     8,    55},
  {   240,     8,    48},{   241,     8,    49},{   242,     8,    16},
  {   252,     8,    45},{   179,     9,    61},{   316,     9,    62},
  {   317,     9,    43},{   388,     9,    56},{   389,     9,    51},
  {   464,     9,    33},{   465,     9,    57},{   486,     9,    58},
  {   487,     9,    60},{   506,     9,    42},{   507,     9,    34},
  {   357,    10,    52},{  2848,    13,    65},{  2849,    13,    66},
  {  2850,    13,    67},{  2851,    13,    68},{  2852,    13,    69},
  {  2853,    13,    70},{  2854,    13,    71},{  5710,    14,    63},
  {  5711,    14,    64}
};

const vc1DEC_sVLCCode vc1DEC_Mixed_MV_MB_0 [9] = /* Table 137 */
{
  {     0,     8,     6},{     0,     2,     4},{     2,     2,     7},
  {     3,     2,     2},{     3,     3,     3},{     5,     4,     5},
  {     9,     5,     6},{    16,     6,     0},{    17,     6,     1}
};

const vc1DEC_sVLCCode vc1DEC_Mixed_MV_MB_1 [9] = /* Table 138 */
{
  {     0,     8,     5},{     0,     2,     5},{     2,     2,     7},
  {     3,     3,     2},{     6,     3,     3},{     7,     3,     4},
  {     5,     4,     6},{     8,     5,     0},{     9,     5,     1}
};

const vc1DEC_sVLCCode vc1DEC_Mixed_MV_MB_2 [9] = /* Table 139 */
{
  {     0,     8,     6},{     0,     2,     4},{     2,     2,     7},
  {     3,     2,     5},{     3,     3,     3},{     5,     4,     2},
  {     9,     5,     6},{    16,     6,     0},{    17,     6,     1}
};

const vc1DEC_sVLCCode vc1DEC_Mixed_MV_MB_3 [9] = /* Table 140 */
{
  {     0,     8,     6},{     0,     1,     7},{     4,     3,     3},
  {     5,     3,     4},{     6,     3,     5},{    15,     4,     2},
  {    29,     5,     6},{    56,     6,     0},{    57,     6,     1}
};

const vc1DEC_sVLCCode vc1DEC_Mixed_MV_MB_4 [9] = /* Table 141 */
{
  {     0,     8,     6},{     0,     1,     7},{     2,     2,     5},
  {    12,     4,     6},{    14,     4,     3},{    15,     4,     4},
  {    27,     5,     2},{    52,     6,     0},{    53,     6,     1}
};

const vc1DEC_sVLCCode vc1DEC_Mixed_MV_MB_5 [9] = /* Table 142 */
{
  {     0,     8,     6},{     0,     1,     5},{     4,     3,     7},
  {     5,     3,     3},{     6,     3,     4},{    15,     4,     6},
  {    29,     5,     2},{    56,     6,     0},{    57,     6,     1}
};

const vc1DEC_sVLCCode vc1DEC_Mixed_MV_MB_6 [9] = /* Table 143 */
{
  {     0,     8,     5},{     0,     2,     4},{     1,     2,     5},
  {     5,     3,     7},{     6,     3,     2},{     7,     3,     3},
  {     9,     4,     6},{    16,     5,     0},{    17,     5,     1}
};

const vc1DEC_sVLCCode vc1DEC_Mixed_MV_MB_7 [9] = /* Table 144 */
{
  {     0,     8,     6},{     0,     1,     2},{     4,     3,     6},
  {     5,     3,     3},{     6,     3,     4},{    15,     4,     7},
  {    29,     5,     5},{    56,     6,     0},{    57,     6,     1}
};

const vc1DEC_sVLCCode vc1DEC_One_MV_MB_0 [7] = /* Table 145 */
{
  {     0,     6,     5},{     1,     1,     2},{     1,     2,     4},
  {     1,     3,     3},{     1,     4,     5},{     0,     5,     0},
  {     1,     5,     1}
};

const vc1DEC_sVLCCode vc1DEC_One_MV_MB_1 [7] = /* Table 146 */
{
  {     0,     6,     5},{     1,     1,     2},{     1,     2,     3},
  {     1,     3,     4},{     1,     4,     5},{     0,     5,     0},
  {     1,     5,     1}
};

const vc1DEC_sVLCCode vc1DEC_One_MV_MB_2 [7] = /* Table 147 */
{
  {     0,     6,     5},{     0,     1,     3},{     3,     2,     2},
  {     5,     3,     5},{     9,     4,     4},{    16,     5,     0},
  {    17,     5,     1}
};

const vc1DEC_sVLCCode vc1DEC_One_MV_MB_3 [7] = /* Table 148 */
{
  {     0,     6,     5},{     0,     1,     4},{     3,     2,     2},
  {     4,     3,     5},{    11,     4,     3},{    20,     5,     0},
  {    21,     5,     1}
};

const vc1DEC_sVLCCode vc1DEC_One_MV_MB_4 [7] = /* Table 149 */
{
  {     0,     6,     4},{     0,     2,     5},{     2,     2,     2},
  {     3,     2,     4},{     3,     3,     3},{     4,     4,     0},
  {     5,     4,     1}
};

const vc1DEC_sVLCCode vc1DEC_One_MV_MB_5 [7] = /* Table 150 */
{
  {     0,     6,     4},{     0,     2,     4},{     2,     2,     3},
  {     3,     2,     5},{     3,     3,     2},{     4,     4,     0},
  {     5,     4,     1}
};

const vc1DEC_sVLCCode vc1DEC_One_MV_MB_6 [7] = /* Table 151 */
{
  {     0,     6,     5},{     1,     1,     4},{     1,     2,     5},
  {     1,     3,     2},{     1,     4,     3},{     0,     5,     0},
  {     1,     5,     1}
};

const vc1DEC_sVLCCode vc1DEC_One_MV_MB_7 [7] = /* Table 152 */
{
  {     0,     6,     5},{     0,     1,     5},{     3,     2,     4},
  {     5,     3,     3},{     9,     4,     2},{    16,     5,     0},
  {    17,     5,     1}
};

const vc1DEC_sVLCCode vc1DEC_Interlace_4MV_MB_0 [16] = /* Table 153 */
{
  {     0,    15,     8},{     0,     2,     2},{     1,     2,     6},
  {     3,     2,     7},{    10,     4,     5},{    17,     5,     1},
  {    18,     5,     8},{    19,     5,    13},{    22,     5,     0},
  {    32,     6,     4},{    47,     6,     3},{    67,     7,     9},
  {    92,     7,    12},{    93,     7,    14},{   132,     8,    11},
  {   133,     8,    10}
};

const vc1DEC_sVLCCode vc1DEC_Interlace_4MV_MB_1 [16] = /* Table 154 */
{
  {     0,    15,     7},{     0,     3,     2},{     1,     3,     6},
  {     2,     3,     7},{     3,     3,     0},{     6,     3,     5},
  {     7,     3,     3},{     8,     4,    12},{    10,     4,     9},
  {    18,     5,    13},{    23,     5,     4},{    39,     6,    10},
  {    44,     6,    11},{    45,     6,     1},{    76,     7,     8},
  {    77,     7,    14}
};

const vc1DEC_sVLCCode vc1DEC_Interlace_4MV_MB_2 [16] = /* Table 155 */
{
  {     0,    15,     7},{     0,     2,    13},{     2,     2,     6},
  {     6,     3,     1},{     6,     4,     5},{    15,     4,     0},
  {     8,     5,    10},{     9,     5,     3},{    11,     5,     8},
  {    14,     5,     9},{    15,     5,     7},{    28,     5,     2},
  {    29,     5,    12},{    21,     6,    14},{    40,     7,    11},
  {    41,     7,     4}
};

const vc1DEC_sVLCCode vc1DEC_Interlace_4MV_MB_3 [16] = /* Table 156 */
{
  {     0,    15,    12},{     1,     1,     2},{     0,     2,     7},
  {     2,     3,     3},{     7,     4,     0},{    13,     5,     5},
  {    25,     6,     6},{    97,     8,     9},{    98,     8,    11},
  {   192,     9,    14},{   193,     9,     4},{   198,     9,     1},
  {   398,    10,    12},{   798,    11,    13},{  1598,    12,     8},
  {  1599,    12,    10}
};

const vc1DEC_sVLCCode vc1DEC_Interlace_Non_4MV_MB_0 [10] = /* Table 157 */
{
  {     0,     9,     5},{     0,     2,     2},{     1,     2,     6},
  {     3,     2,     7},{     9,     4,     0},{    10,     4,     5},
  {    16,     5,     4},{    17,     5,     3},{    22,     5,     1},
  {    23,     5,     8}
};

const vc1DEC_sVLCCode vc1DEC_Interlace_Non_4MV_MB_1 [10] = /* Table 158 */
{
  {     0,     9,     6},{     1,     2,     5},{     2,     2,     3},
  {     1,     3,     4},{     6,     3,     6},{     7,     3,     0},
  {     0,     4,     1},{     3,     5,     7},{     4,     6,     8},
  {     5,     6,     2}
};

const vc1DEC_sVLCCode vc1DEC_Interlace_Non_4MV_MB_2 [10] = /* Table 159 */
{
  {     0,     9,     6},{     0,     2,     1},{     1,     2,     0},
  {     3,     2,     6},{     8,     4,     5},{     9,     4,     7},
  {    10,     4,     2},{    23,     5,     3},{    44,     6,     4},
  {    45,     6,     8}
};

const vc1DEC_sVLCCode vc1DEC_Interlace_Non_4MV_MB_3 [10] = /* Table 160 */
{
  {     0,     9,     8},{     1,     1,     2},{     0,     2,     7},
  {     2,     3,     3},{     7,     4,     0},{    13,     5,     5},
  {    25,     6,     6},{    49,     7,     4},{    96,     8,     8},
  {    97,     8,     1}
};

const vc1DEC_sVLCCode vc1DEC_P_Picture_CBPCY_VLC_0 [65] = /* Table 162 */
{
  {     0,    64,    13},{     3,     2,    63},{     2,     3,    60},
  {     4,     3,    62},{     5,     3,    61},{     1,     5,    16},
  {     4,     5,    56},{     7,     5,    44},{     1,     6,    32},
  {     4,     6,    48},{     5,     6,     8},{    10,     6,    20},
  {    11,     6,    52},{    12,     6,    12},{    13,     6,    28},
  {    30,     6,    59},{     1,     7,    40},{    12,     7,    24},
  {    13,     7,     4},{    14,     7,    36},{    15,     7,     2},
  {    49,     7,    10},{    52,     7,    46},{    53,     7,    30},
  {    54,     7,    17},{    56,     7,    53},{    58,     7,    45},
  {    62,     7,    47},{    63,     7,    31},{     1,     8,    34},
  {    96,     8,    18},{    97,     8,    42},{   100,     8,    58},
  {   101,     8,    54},{   102,     8,    14},{   103,     8,    49},
  {   110,     8,    57},{   111,     8,    21},{   114,     8,    13},
  {   115,     8,    29},{   118,     8,    55},{   119,     8,    15},
  {     7,    12,    35},{     8,    12,    19},{     9,    12,    51},
  {    10,    12,    11},{    11,    12,    43},{    12,    12,    27},
  {    13,    12,     7},{    14,    12,    39},{    15,    12,    23},
  {     0,    13,     0},{     1,    13,    50},{     2,    13,    26},
  {     3,    13,     6},{     4,    13,    38},{     5,    13,    22},
  {     6,    13,     1},{     7,    13,    33},{     8,    13,     9},
  {     9,    13,    41},{    10,    13,    25},{    11,    13,     5},
  {    12,    13,    37},{    13,    13,     3}
};

const vc1DEC_sVLCCode vc1DEC_P_Picture_CBPCY_VLC_1 [65] = /* Table 163 */
{
  {     0,    64,    14},{     1,     3,    32},{     2,     3,    16},
  {     3,     3,     8},{     5,     3,     4},{     1,     4,    40},
  {    12,     4,    20},{    13,     4,    12},{     1,     5,    48},
  {    16,     5,    24},{    17,     5,    56},{    18,     5,    36},
  {    19,     5,    52},{    28,     5,    28},{     1,     6,    44},
  {    58,     6,    60},{    63,     6,    61},{   121,     7,     9},
  {   122,     7,    41},{   124,     7,    29},{   125,     7,    63},
  {     1,     8,     2},{     2,     8,    50},{     3,     8,    10},
  {   236,     8,    58},{   237,     8,     6},{   238,     8,    54},
  {   239,     8,    30},{   240,     8,    33},{   241,     8,    21},
  {   246,     8,    53},{   247,     8,    31},{     1,    13,    18},
  {     2,    13,    42},{     3,    13,    26},{     4,    13,    38},
  {     5,    13,    22},{     6,    13,    14},{     7,    13,    46},
  {     8,    13,    62},{     9,    13,     1},{    10,    13,    17},
  {    11,    13,    49},{    12,    13,    25},{    13,    13,    57},
  {    14,    13,     5},{    15,    13,    37},{    16,    13,    13},
  {    17,    13,    45},{    18,    13,     3},{    19,    13,    35},
  {    20,    13,    19},{    21,    13,    51},{    22,    13,    11},
  {    23,    13,    43},{    24,    13,    27},{    25,    13,    59},
  {    26,    13,     7},{    27,    13,    39},{    28,    13,    23},
  {    29,    13,    55},{    30,    13,    15},{    31,    13,    47},
  {     0,    14,     0},{     1,    14,    34}
};

const vc1DEC_sVLCCode vc1DEC_P_Picture_CBPCY_VLC_2 [65] = /* Table 164 */
{
  {     0,    64,    13},{     5,     3,    60},{     2,     4,     8},
  {     3,     4,    40},{     4,     4,    56},{     5,     4,     4},
  {     7,     4,    20},{     9,     4,    28},{     1,     5,    32},
  {     2,     5,    16},{     3,     5,    48},{    13,     5,    52},
  {    16,     5,    12},{    17,     5,    44},{    26,     5,    62},
  {    29,     5,    61},{    31,     5,    63},{     1,     6,    24},
  {    24,     6,    36},{    25,     6,     2},{    54,     6,    41},
  {    96,     7,    26},{    98,     7,    22},{    99,     7,    54},
  {   101,     7,    30},{   102,     7,    33},{   111,     7,    57},
  {   113,     7,    53},{   114,     7,    45},{     1,     8,    34},
  {     2,     8,    10},{     3,     8,    42},{   194,     8,    58},
  {   195,     8,    14},{   200,     8,    46},{   201,     8,     1},
  {   220,     8,    25},{   221,     8,     5},{   224,     8,    21},
  {   225,     8,    13},{   230,     8,    29},{   231,     8,     3},
  {   240,     8,    19},{   241,     8,    11},{   243,     8,    59},
  {   244,     8,    39},{   245,     8,    23},{   247,     8,    31},
  {     1,     9,    50},{   412,     9,    17},{   413,     9,    49},
  {   414,     9,     9},{   415,     9,    35},{   484,     9,    43},
  {   485,     9,    55},{   492,     9,    15},{   493,     9,    47},
  {     1,    10,    18},{     3,    12,     7},{     0,    13,     0},
  {     1,    13,     6},{     2,    13,    38},{     3,    13,    37},
  {     4,    13,    51},{     5,    13,    27}
};

const vc1DEC_sVLCCode vc1DEC_P_Picture_CBPCY_VLC_3 [65] = /* Table 165 */
{
  {     0,    64,     9},{     1,     2,    32},{     2,     2,     8},
  {     3,     2,     4},{     1,     3,    16},{    28,     8,    15},
  {    29,     8,    47},{    30,     8,    31},{    31,     8,    63},
  {     0,     9,     0},{     1,     9,    48},{     2,     9,    40},
  {     3,     9,    24},{     4,     9,    56},{     5,     9,    36},
  {     6,     9,    20},{     7,     9,    52},{     8,     9,    12},
  {     9,     9,    44},{    10,     9,    28},{    11,     9,    60},
  {    12,     9,     2},{    13,     9,    34},{    14,     9,    18},
  {    15,     9,    50},{    16,     9,    10},{    17,     9,    42},
  {    18,     9,    26},{    19,     9,    58},{    20,     9,     6},
  {    21,     9,    38},{    22,     9,    22},{    23,     9,    54},
  {    24,     9,    14},{    25,     9,    46},{    26,     9,    30},
  {    27,     9,    62},{    28,     9,     1},{    29,     9,    33},
  {    30,     9,    17},{    31,     9,    49},{    32,     9,     9},
  {    33,     9,    41},{    34,     9,    25},{    35,     9,    57},
  {    36,     9,     5},{    37,     9,    37},{    38,     9,    21},
  {    39,     9,    53},{    40,     9,    13},{    41,     9,    45},
  {    42,     9,    29},{    43,     9,    61},{    44,     9,     3},
  {    45,     9,    35},{    46,     9,    19},{    47,     9,    51},
  {    48,     9,    11},{    49,     9,    43},{    50,     9,    27},
  {    51,     9,    59},{    52,     9,     7},{    53,     9,    39},
  {    54,     9,    23},{    55,     9,    55}
};

const vc1DEC_sVLCCode vc1DEC_Mot_Vector_Diff_VLC_0 [74] = /* Table 239 */
{
  {     0,    73,    14},{     2,     3,    36},{     7,     3,    72},
  {     7,     4,    43},{     8,     4,    44},{     2,     5,     6},
  {     7,     5,    37},{    13,     5,    42},{    18,     5,    45},
  {    20,     5,    49},{    21,     5,    50},{    22,     5,    51},
  {    23,     5,    55},{    24,     5,    56},{    25,     5,    57},
  {     0,     6,     0},{     3,     6,     5},{     6,     6,     7},
  {     7,     6,    11},{     8,     6,    12},{     9,     6,    13},
  {    13,     6,    35},{    24,     6,    38},{    38,     6,    48},
  {    39,     6,    52},{     2,     7,     1},{     3,     7,     2},
  {     5,     7,     8},{    21,     7,    18},{    22,     7,    19},
  {    23,     7,    20},{    50,     7,    46},{   104,     7,    58},
  {   105,     7,    60},{   106,     7,    61},{   107,     7,    62},
  {   108,     7,    63},{   109,     7,    64},{     8,     8,     3},
  {    40,     8,    14},{    49,     8,    26},{    50,     8,    39},
  {   103,     8,    54},{   220,     8,    65},{   222,     8,    68},
  {    19,     9,    15},{    82,     9,    17},{    96,     9,    24},
  {   102,     9,    40},{   103,     9,    47},{   204,     9,    53},
  {   442,     9,    67},{   443,     9,    69},{   446,     9,    70},
  {   447,     9,    71},{    37,    10,    16},{   166,    10,    23},
  {   167,    10,    25},{   194,    10,    27},{   195,    10,    28},
  {   410,    10,    59},{   411,    10,    66},{   292,    13,    32},
  {   293,    13,    33},{   294,    13,    34},{   295,    13,    41},
  {   576,    14,     4},{   577,    14,     9},{   578,    14,    10},
  {   579,    14,    21},{   580,    14,    22},{   581,    14,    29},
  {   582,    14,    30},{   583,    14,    31}
};

const vc1DEC_sVLCCode vc1DEC_Mot_Vector_Diff_VLC_1 [74] = /* Table 240 */
{
  {     0,    73,    14},{     1,     2,    36},{     4,     3,    37},
  {     6,     3,    42},{    11,     4,    43},{     0,     5,     0},
  {     3,     5,     5},{     4,     5,     6},{     6,     5,     9},
  {    31,     5,    72},{     3,     6,     3},{     4,     6,     4},
  {     5,     6,     7},{    15,     6,    38},{    41,     6,    41},
  {    42,     6,    44},{    43,     6,    46},{    56,     6,    48},
  {    57,     6,    49},{    58,     6,    50},{     4,     7,     1},
  {     5,     7,     2},{    20,     7,     8},{    21,     7,    10},
  {   119,     7,    55},{   120,     7,    56},{   122,     7,    58},
  {    44,     8,    11},{    45,     8,    12},{    46,     8,    13},
  {    57,     8,    18},{   160,     8,    39},{   161,     8,    40},
  {   162,     8,    45},{   163,     8,    51},{   236,     8,    52},
  {   237,     8,    53},{   242,     8,    57},{   246,     8,    62},
  {    95,     9,    15},{   112,     9,    16},{   113,     9,    17},
  {   116,     9,    21},{   117,     9,    22},{   118,     9,    24},
  {   119,     9,    47},{   486,     9,    59},{   487,     9,    61},
  {   494,     9,    63},{   495,     9,    65},{  1512,    13,    60},
  {  1513,    13,    64},{  1514,    13,    66},{  1515,    13,    67},
  {  1516,    13,    68},{  1517,    13,    69},{  1518,    13,    70},
  {  1519,    13,    71},{  3008,    14,    14},{  3009,    14,    19},
  {  3010,    14,    20},{  3011,    14,    23},{  3012,    14,    25},
  {  3013,    14,    26},{  3014,    14,    27},{  3015,    14,    28},
  {  3016,    14,    29},{  3017,    14,    30},{  3018,    14,    31},
  {  3019,    14,    32},{  3020,    14,    33},{  3021,    14,    34},
  {  3022,    14,    35},{  3023,    14,    54}
};

const vc1DEC_sVLCCode vc1DEC_Mot_Vector_Diff_VLC_2 [74] = /* Table 241 */
{
  {     0,    73,    12},{     1,     1,    36},{     0,     3,     0},
  {     2,     3,     5},{     3,     4,     6},{     6,     4,    42},
  {     7,     4,    43},{     5,     5,    37},{   258,    11,     7},
  {   259,    11,     8},{   260,    11,     9},{   261,    11,    10},
  {   262,    11,    11},{   263,    11,    12},{   264,    11,    13},
  {   265,    11,    14},{   266,    11,    15},{   267,    11,    16},
  {   268,    11,    17},{   269,    11,    18},{   270,    11,    19},
  {   271,    11,    20},{   272,    11,    21},{   273,    11,    22},
  {   274,    11,    23},{   275,    11,    24},{   276,    11,    25},
  {   277,    11,    26},{   278,    11,    27},{   279,    11,    28},
  {   280,    11,    29},{   281,    11,    30},{   282,    11,    31},
  {   283,    11,    32},{   284,    11,    33},{   285,    11,    34},
  {   286,    11,    35},{   287,    11,    38},{   288,    11,    39},
  {   289,    11,    40},{   290,    11,    41},{   291,    11,    44},
  {   292,    11,    45},{   293,    11,    46},{   294,    11,    47},
  {   295,    11,    48},{   296,    11,    49},{   297,    11,    50},
  {   298,    11,    51},{   299,    11,    52},{   300,    11,    53},
  {   301,    11,    54},{   302,    11,    55},{   303,    11,    56},
  {   304,    11,    57},{   305,    11,    58},{   306,    11,    59},
  {   307,    11,    60},{   308,    11,    61},{   309,    11,    62},
  {   310,    11,    63},{   311,    11,    64},{   312,    11,    65},
  {   313,    11,    66},{   314,    11,    67},{   315,    11,    68},
  {   316,    11,    69},{   317,    11,    70},{   318,    11,    71},
  {   319,    11,    72},{   512,    12,     1},{   513,    12,     2},
  {   514,    12,     3},{   515,    12,     4}
};

const vc1DEC_sVLCCode vc1DEC_Mot_Vector_Diff_VLC_3 [74] = /* Table 242 */
{
  {     0,    73,    15},{     2,     3,    43},{     5,     3,    50},
  {     1,     4,    36},{     2,     4,    37},{     6,     4,    44},
  {     8,     4,    49},{    15,     4,    72},{     1,     5,    38},
  {     6,     5,    42},{     7,     5,    45},{    15,     5,    48},
  {    18,     5,    51},{    24,     5,    55},{    25,     5,    56},
  {    26,     5,    57},{    28,     6,    46},{    29,     6,    52},
  {    39,     6,    58},{    55,     6,    62},{    56,     6,    63},
  {    57,     6,    64},{     2,     7,    39},{    77,     7,    54},
  {   108,     7,    59},{   109,     7,    61},{   116,     7,    65},
  {   118,     7,    70},{   119,     7,    71},{     3,     8,    40},
  {     7,     8,    47},{   152,     8,    53},{   153,     8,    67},
  {   234,     8,    68},{   235,     8,    69},{    12,     9,    41},
  {    13,     9,    60},{     4,    10,    21},{     6,    10,    25},
  {     8,    10,    27},{     9,    10,    33},{    10,    10,    35},
  {    11,    10,    66},{     1,    11,     1},{     3,    11,     9},
  {    10,    11,    22},{    11,    11,    24},{    14,    11,    26},
  {    15,    11,    31},{     1,    12,     6},{     4,    12,     8},
  {     5,    12,    10},{     8,    12,    11},{     9,    12,    13},
  {    10,    12,    14},{    11,    12,    15},{    12,    12,    16},
  {    14,    12,    19},{    15,    12,    23},{    55,    14,    34},
  {     0,    15,     0},{     1,    15,     2},{     2,    15,     3},
  {     3,    15,     4},{     4,    15,     5},{     5,    15,     7},
  {     6,    15,    12},{     7,    15,    17},{   104,    15,    18},
  {   105,    15,    20},{   106,    15,    28},{   107,    15,    29},
  {   108,    15,    30},{   109,    15,    32}
};

/* End of decoder/vc1decpictab.c */

